| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelClass Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- ChannelClass ()
- ChannelClass (const QMap< QString, QDBusVariant > &a)
- ChannelClass & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt4 type system.

Mapping representing a class of channels that can be requested from a connection manager, can be handled by a user interface, are supported by a contact, etc.

Classes of channel are identified by the fixed values of a subset of their properties.

Channel classes SHOULD always include the keys <tp:dbus-ref>org.freedesktop.Telepathy.Channel.ChannelType</tp:dbus-ref> and <tp:dbus-ref>org.freedesktop.Telepathy.Channel.TargetHandleType</tp:dbus-ref>.

## Constructor & Destructor Documentation

ChannelClass | ( |  | ) | `[inline]`

ChannelClass | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

ChannelClass& operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`